Upgrade MySQL 5.5 to MySQL 5.6 on CentOS for PCI compliance

Stop worrying about your server.

cPanel/Plesk Server Management for just $59/mo with Unlimited tickets, Unlimited admin hours, Security audits, 24×7 monitoring and lot more 

cPanel Server Management  $59/mo Click here

Plesk Server Management $59/mo Click here

 

If you are teying to upgrade MySQL on cPanel server check this link Upgrade MySQL on cPanel Server

Below are the steps how to upgrade your MySQL version for PCI compliance or some other uses.

First check what is your MySQL version using the below command

[[email protected] ~]# rpm -qa | grep mysql
 mysql-5.1.69-1.el6_4.x86_64
 mysql-devel-5.1.69-1.el6_4.x86_64
 mysql-server-5.1.69-1.el6_4.x86_64
 mysql-libs-5.1.69-1.el6_4.x86_64

Remove all the old mysql version using the command

rpm -e --nodeps mysql-5.1.69-1.el6_4.x86_64 mysql-devel-5.1.69-1.el6_4.x86_64 mysql-server-5.1.69-1.el6_4.x86_64 mysql-libs-5.1.69-1.el6_4.x86_64

Now download and install MySQL-5.6 using the below command.

wget http://dev.mysql.com/get/Downloads/MySQL-5.6/MySQL-5.6.16-1.el6.x86_64.rpm-bundle.tar
mkdir MySQL
cd MySQL
tar -xvf MySQL-5.6.16-1.el6.x86_64.rpm-bundle.tar
yum install MySQL*rpm

 

Need our help to fix the issue ? Submit Support Ticket Now

View Server Administration Packages

Leave a Reply

Your email address will not be published. Required fields are marked *